(function (UIRSRLiveWeb, $, __ACClasses, __ACc, undefined) {
	
	var _container,
		_language,
		_path,
		_ui,
		RSRoption,_btn_div_icon,_cont_icon,_contenuto_icon,
		_updatetimer,
		_mousedown = false;

	
	function init(c, l, options) {
		_container = c;			// the selector which contains our module's HTML (by default "body > .modules");
		_language = l;			// the currently selected language in the theme
		_path = options.path;	// the basepath to our module's assets

		render();
		
		$("<link/>", {
			id: "uirsrliveweb",
			rel: "stylesheet",
			type: "text/css",
			href: _path + "/RSRLiveWeb.css?" + Date.now()
		}).appendTo("head");
		console.log(">>> UIRSRLiveWeb init", _container);
	}

	function render() {
		var RSRoption = $(".RSRLiveWebBtn li", _container);
		$("#menu li[data-panel=drive]").after(RSRoption);
		_contenuto_icon = '<span class="RSRLiveWeb"></span>';
		_btn_div_icon = $('<div class="icon"></div>');
		_cont_icon = _btn_div_icon.append(_contenuto_icon);
		$("#menu li[data-panel=RSRLiveWeb]").append(_cont_icon);
		$("#RSRLiveWebPanel").appendTo("#wrapper #content");
	}

	// a dispose function is required for modules that do not require
	// a UI restart (defined in the module.ini)
	function dispose() {
		console.log(">>> UIRSRLiveWeb dispose");
		$("#uirsrliveweb").remove();
		$('#wrapper #menu ul > li[data-panel="RSRLiveWeb"]').remove();
		$("#RSRLiveWeb").remove();
		delete UIRSRLiveWeb;
	}

	UIRSRLiveWeb.Init = init;
	UIRSRLiveWeb.Dispose = dispose

})(window.UIRSRLiveWeb = window.UIRSRLiveWeb || {}, jQuery, __ACClasses);


function RSRiframe_back(){
if (document.getElementById("RSR_iframe").src != document.getElementById("RSR_iframe").contentWindow.location)  
{
	document.getElementById("RSR_iframe").contentWindow.history.back();
}	
}

function RSRiframe_forward(){
	document.getElementById("RSR_iframe").contentWindow.history.forward();
	
}

function RSRiframe_reload(){
	document.getElementById("RSR_iframe").contentWindow.location.reload();
	
}


function RSRiframe_home(){
	document.getElementById("RSR_iframe").src = document.getElementById("RSR_iframe").src;
	
}

